org.cpsolver.ifs.util

## Class JProf

- java.lang.Object
- - org.cpsolver.ifs.util.JProf

-     public class JProf
      extends Object

  CPU time measurement. JAVA profiling extension is used. Java needs to be executed with -Xrunjprof. When the java is executed outside this profiler, `System.currentTimeMillis()` is used. Using `ThreadMXBean` to get the current thread CPU time, if supported. Using `System.nanoTime()` otherwise.
  Version:
    IFS 1.3 (Iterative Forward Search)
    Copyright (C) 2006 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JProf()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `currentTimeMillis()` Current CPU time of this thread in milliseconds
    `static double` | `currentTimeSec()` Current CPU time of this thread in seconds

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JProf

          public JProf()

  - ### Method Detail

    - #### currentTimeSec

          public static double currentTimeSec()

      Current CPU time of this thread in seconds
      Returns:
        CPU time in seconds

    - #### currentTimeMillis

          public static long currentTimeMillis()

      Current CPU time of this thread in milliseconds
      Returns:
        CPU time in milliseconds